Index: src/edu/ucsb/nceas/metacat/MetaCatServlet.java
===================================================================
--- src/edu/ucsb/nceas/metacat/MetaCatServlet.java	(revision 204)
+++ src/edu/ucsb/nceas/metacat/MetaCatServlet.java	(revision 205)
@@ -52,19 +52,25 @@
  * <p>Valid parameters are:<br>
  * action=query -- query the values of all elements and attributes
  *                     and return a result set of nodes<br>
- * action=squery -- structured query (@see pathquery.dtd)
- * doctype -- document type list returned by the query (publicID)
+ * action=squery -- structured query (see pathquery.dtd)<br>
+ * action=insert -- insert an XML document into the database store<br>
+ * action=update -- update an XML document that is in the database store<br>
+ * action=delete --  delete an XML document from the database store<br>
+ * action=validate -- vallidate the xml contained in valtext<br>
+ * action=getdocument -- display an XML document in XML or HTML<br>
+ * doctype -- document type list returned by the query (publicID)<br>
  * qformat=xml -- display resultset from query in XML<br>
  * qformat=html -- display resultset from query in HTML<br>
- * action=getdocument -- display an XML document in XML or HTML<br>
  * docid=34 -- display the document with the document ID number 34<br>
- * action=putdocument -- load an XML document into the database store<br>
- * doctext -- XML text ofthe document to load into the database<br>
+ * doctext -- XML text of the document to load into the database<br>
  * query -- actual query text (to go with 'action=query' or 'action=squery')<br>
- * action=validate -- vallidate the xml contained in validatetext<br>
- * valtext -- XML text to be validated
- * action=getdatadoc -- retreive a stored datadocument
- * datadoc -- data document name (id)
+ * valtext -- XML text to be validated<br>
+ * action=getdatadoc -- retreive a stored datadocument<br>
+ * datadoc -- data document name (id)<br>
+ * <p>
+ * The particular combination of parameters that are valid for each 
+ * particular action value is quite specific.  This documentation
+ * will be reorganized to reflect this information.
  */
 public class MetaCatServlet extends HttpServlet {
 
@@ -574,6 +580,16 @@
 
 /**
  * '$Log$
+ * 'Revision 1.32  2000/06/27 04:31:07  jones
+ * 'Fixed bugs associated with the new UPDATE and DELETE functions of
+ * 'DBWriter.  There were problematic interactions between some static
+ * 'variables used in DBEntityResolver and the way in which the
+ * 'Servlet objects are re-used across multiple client invocations.
+ * '
+ * 'Generally cleaned up error reporting.  Now all errors and success
+ * 'results are reported as XML documents from MetaCatServlet.  Need
+ * 'to make the command line tools do the same.
+ * '
  * 'Revision 1.31  2000/06/26 10:35:05  jones
  * 'Merged in substantial changes to DBWriter and associated classes and to
  * 'the MetaCatServlet in order to accomodate the new UPDATE and DELETE
